/****************************************************************************
 *
 * parallel_grid_matching.hh - parallel grid-based matching
 *
 * This file is part of DDM
 *
 * Copyright (C) 2017, 2018 Moreno Marzolla
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 ****************************************************************************/

#ifndef PARALLEL_GRID_MATCHING_HH
#define PARALLEL_GRID_MATCHING_HH

#include <stdlib.h>
#include "interval.h"

#ifdef __cplusplus
extern "C" {
#endif

extern size_t grid_size;

size_t parallel_grid_matching( const struct interval* sub, size_t n,
                               const struct interval* upd, size_t m );

#ifdef __cplusplus
}
#endif

#endif /* PARALLEL_SORT_MATCHING_H */
